<template>
  <div class="home">
    <Gradient :color1="root.color1" :color2="root.color2" />
    <div class="c-container">
      <div class="c-container-flex inline mb-70 align-items-center">
        <p class="o-text xl white uppercase semi-bold mb-20">Social Media Post</p>
        <p class="o-text gigant semi-bold white">Business Events</p>
      </div>
      <div class="c-container-flex">
        <div class="c-container-cards">
          <CardMain
            :color1="root.color1"
            :color2="root.color2"
            id="card1"
            height="auto"
            width="100%"
            marginRight="15px"
          />
        </div>
        <div class="c-container-flex second">
          <div class="inline">
            <CardOne
              :color1="root.color1"
              :color2="root.color2"
              id="card2"
              marginRight="15px"
              marginBottom="15px"
            />
            <CardTwo
              :color1="root.color1"
              :color2="root.color2"
              :color3="root.color3"
              id="card3"
              marginRight="15px"
            />
          </div>
          <div class="inline">
            <CardThree
              :color1="root.color1"
              :color2="root.color2"
              :color3="root.color3"
              id="card4"
              marginBottom="15px"
            />
            <CardFour
              :color1="root.color1"
              :color2="root.color2"
              :color3="root.color3"
              :color4="root.color4"
              id="card5"
            />
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";

/* Component */
import Gradient from "@/components/Gradient.vue";
import CardMain from "@/components/Card/Main.vue";
import CardOne from "@/components/Card/One.vue";
import CardTwo from "@/components/Card/Two.vue";
import CardThree from "@/components/Card/Three.vue";
import CardFour from "@/components/Card/Four.vue";

@Component({
  components: { Gradient, CardMain, CardOne, CardTwo, CardThree, CardFour }
})
export default class Home extends Vue {
  get root() {
    return (Vue as any).root;
  }
}
</script>